# Generated from gstring-4.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gstring

Name: rubygem-%{gem_name}
Version: 4.1.0
Release: 1%{?dist}
Summary: Adds 70+ new methods String class
License: MIT
URL: http://bdlsys.com/gems/gstring.html
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.1
# BuildRequires: rubygem(rspec) >= 3.3.0
# BuildRequires: rubygem(byebug) >= 5.0.0
BuildArch: noarch

%description
Adds 80+ new methods to the base String class. Most help with parsing, others
are more of a hodgepodge of nifty utilities.
Utilities include: engineering_notation, cryptogram generator, password
generator, sort by embedded numbers, etc. 
Some represent some of the better ideas from other string related gems.
Most are from 20 years of multiple language string extensions that were used
in some project.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gstring.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 4.1.0-1
- Initial package
